Subject: RE: mboned: draft-mcwalter-ip-mcast-mib-01 - Does it belong in MBONED?

From: "Andy Kessler \(kessler\)" <[email-masked]>
Date: Thu, 2 Mar 2006 14:17:05 -0800

Dave, 

Yes, I agree that MBONED is the right place for the multicast
mib for the reasons you outlined below. 

Lets try to get consensus and have MBONED adopt it. 

Andy 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of David McWalter
> Sent: Friday, December 16, 2005 12:51 PM
> To: [email-masked]
> Subject: mboned: draft-mcwalter-ip-mcast-mib-01 - Does it 
> belong in MBONED?
> 
> Folks,
> 
> I've revised the IP multicast MIB draft.  
> http://www.ietf.org/internet-drafts/draft-mcwalter-ip-mcast-mib-01.txt
> 
> Thanks for all your feedback so far.  Further technical 
> comments would be welcome.
> 
> It's also important to decide where we do this essential 
> work.  (It is essential: PIM MIB depends upon it, so PIM 
> depends upon it.)
> 
> I believe MBONED is the right venue, because
> -  this MIB covers all multicast protocols, old and new, not just PIM
> -  we're changing a deployed MIB (obsoleting RFC 2932 to add IPv6)
> -  many of the changes are specifically to improve 
> diagnostics in the field.
> 
> This puts the work pretty close to MBONED's (old) charter.
> 
> I could certainly offer this draft to the PIM WG, or look for 
> an AD sponsor.  But I believe the quality of this MIB would 
> be poorer for it.  I'm keen to get more reviewing from people 
> with deployment experience across many protocols.
> 
> So, does this draft belong in MBONED?
> 
> I'd welcome your view.
> David McW.
> 
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of David McWalter
> Sent: 15 November 2005 17:17
> To: [email-masked]
> Subject: mboned: IPMCAST-MIB - draft-mcwalter-ip-mcast-mib-00
> 
> Folks, 
> 
> I briefly presented a multicast MIB draft to the WG in Vancouver. 
> http://www.ietf.org/internet-drafts/draft-mcwalter-ip-mcast-mi
> b-00.txt 
> 
> There was some interest in this work, but not complete 
> consensus that MBONED was the place to do it. 
> 
> Thanks for the feedback I've had from those who are 
> interested.  Here are the updates I'm planning to apply. 
> (1)  Several multicast routing protocols can be active 
> concurrently on a single interface.  So we must deprecate 
> ipMcastInterfaceProtocol.
> (2)  ipMcastSsmRangeTable support for IPv6 is not mandatory.  
> Conformance group text must explain this. 
> (3)  If ipMcastSsmRangeTable IPv6 entries are supported, they 
> are restricted to FF::/16, with syntax from RFC 2373 section 
> 2.7 within this range.
> (4)  ipMcastSsmRangeTable also needs to reference RFC 3306 
> section 6 (IPv6 unicast-prefix-based SSM addresses, FF3x::/32).
> (5)  Scoped SSM ranges also require entries in 
> ipMcastBoundaryTable (at the boundaries).  I'll add some 
> clarifying text to this effect.
> (6)  ipMcastScopeNameTable must be in a separate conformance group. 
> (7)  Therefore the old ipMcastMIBBoundaryGroup will be 
> deprecated, and split into two current conformance groups. 
> (8)  Statistics should be made more consistent, including 
> octet and packet counts in all cases (though in separate 
> conformance groups to give implementers flexibility).
> (9)  Add a DEFVAL of zero for ipMcastInterfaceTtl. 
> (10)  ipMcastLocalListenerRunIndex needs a better 
> description, and REFERENCEs to related MIBs. 
> (11)  ipMcastRouteNextHopClosestMemberHops needs a better 
> description. 
> (12)  Some further minor editorial changes to descriptions. 
> 
> Any additional comments, either on the draft or on the forum 
> we should review it in, would be welcome. 
> 
> I'll circulate an -01 revision in a couple of weeks. 
> David McWalter. 
> 
> _______________________________________________________________
> user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
> web archive:  http://darkwing.uoregon.edu/~llynch/mboned/
> 

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

---

From: Mike McBride <[email-masked]>
Date: Tue, 7 Mar 2006 13:33:04 -0800 (PST)

> mib for the reasons you outlined below.

We considered it within the pimwg but consensus was that mboned would be 
the best fit since its not specific to pim. I too think mboned is the best 
match. If, however, mboned doesn't adopt it, feel free to bring it again 
before the pimwg (as well as the rtgwg). You guys are on top of the draft 
so I'm confident it wouldn't rot in any given wg.

mike